View Issue Details

IDProjectCategoryView StatusLast Update
0001420NoesisGUIUnity3Dpublic2019-04-16 19:30
ReporterKhonanAssigned Tosfernandez 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.2.0 
Target Version2.2.2Fixed in Version2.2.2 
Summary0001420: Changing programmatically the Header text of a GridViewColumn has no effect
DescriptionChanging programmatically the Header text of a GridViewColumn has no effect.

Actually, changing anything on the Header has no effect. Hidding or changing Size of the header doesn't work either:

No Effect:
<GridView.ColumnHeaderContainerStyle>
<Style TargetType="GridViewColumnHeader">
<Setter Property="Visibility" Value="Hidden"/>
</Style>
</GridView.ColumnHeaderContainerStyle>

but also : <Setter Property="Visibility" Value="Collapsed"/>
and even : <Setter Property="Height" Value="0"/>

Steps To ReproduceMy listview contains two column. Column 0 header is empty, column 1 Header is "TEST".
Doing the following don't change the header :
Code:
            Noesis.GridViewColumn gvc = ((GridView)m_ListView.View).Columns[1] as Noesis.GridViewColumn;
            gvc.Header = "Hello World";

While debuging Header is "Hello Word", But UI still display "TEST".
TagsGridViewColumn Header ColumnHeaderContainerStyle
PlatformAny

Activities

Khonan

Khonan

2019-03-14 10:40

reporter   ~0005530

Tried using FrameworkElement.Visibility" but no success :

 <ListView.View>
                    <GridView>
                        <GridView.ColumnHeaderContainerStyle>
                            <Style>
                                <Setter Property="FrameworkElement.Visibility" Value="Collapsed"/>
                            </Style>
                        </GridView.ColumnHeaderContainerStyle>

...

Issue History

Date Modified Username Field Change
2019-03-08 13:52 Khonan New Issue
2019-03-08 13:52 Khonan Tag Attached: GridViewColumn Header ColumnHeaderContainerStyle
2019-03-14 10:40 Khonan Note Added: 0005530
2019-03-18 22:30 sfernandez Assigned To => sfernandez
2019-03-18 22:30 sfernandez Status new => assigned
2019-03-18 22:30 sfernandez Target Version => 2.2.1
2019-04-05 12:24 sfernandez Target Version 2.2.1 => 2.2.2
2019-04-16 19:30 sfernandez Status assigned => resolved
2019-04-16 19:30 sfernandez Resolution open => fixed
2019-04-16 19:30 sfernandez Fixed in Version => 2.2.2